require "rails_helper"

RSpec.describe WalletSummaryComponent, type: :component do
  it "renders the balance as a human-readable number" do
    expect(
      render_inline(described_class.new(balance: 2301000)) {}.css("section").to_html
    ).to include(
      "2,301,000"
    )
  end
end
